- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxObjectFilter Class Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

This object represents a filter criteria on an object.

Definition at line 26 of file fbxobjectfilter.h.

`#include <fbxobjectfilter.h>`

Inheritance diagram for FbxObjectFilter:
[legend]

List of all members.

## Public Member Functions
virtual | ~FbxObjectFilter ()
| Destructor.
virtual bool | Match (const FbxObject *pObjectPtr) const =0
| Tells if this filter match the given object.
virtual bool | NotMatch (const FbxObject *pObjectPtr) const
| Tells if this filter does NOT match the given object.

## Constructor & Destructor Documentation

virtual ~FbxObjectFilter | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 32 of file fbxobjectfilter.h.

    {}

## Member Function Documentation

virtual bool Match | ( | const FbxObject * | pObjectPtr | ) | const `[pure virtual]`

Search for all occurrences

Tells if this filter match the given object.

Parameters:

  pObjectPtr | The given object.

Implemented in FbxNameFilter, and FbxImplementationFilter.

virtual bool NotMatch | ( | const FbxObject * | pObjectPtr | ) | const `[inline, virtual]`

Search for all occurrences

Tells if this filter does NOT match the given object.

Parameters:

  pObjectPtr | The given object.

Definition at line 42 of file fbxobjectfilter.h.

    { return !Match(pObjectPtr); };

The documentation for this class was generated from the following file:

- fbxsdk/scene/fbxobjectfilter.h

FbxObjectFilter FbxObjectFilter FbxObjectFilter FbxObjectFilter FbxObjectFilter FbxObjectFilter FbxObjectFilter FbxObjectFilter FbxObjectFilter FbxObjectFilter
FbxObjectFilter FbxObjectFilter FbxObjectFilter FbxObjectFilter FbxObjectFilter FbxObjectFilter FbxObjectFilter FbxObjectFilter FbxObjectFilter FbxObjectFilter